v1.0.0
OpenAPI 3.1.0

Get an inbox preview job

US region

Client Libraries

Get an inbox preview job

Returns the status of a preview job submitted with Send for inbox previews, including each preview's settings.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the email. If your email has translations, this is the ID of a specific language variant.

  • run_id
    Type: integer
    required

    The ID of the inbox preview job, returned by Send for inbox previews.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/emails/{id}/inbox_previews/{run_id}
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/inbox_previews/1
{
  "client_ids": [
    "string"
  ],
  "created_at": 1,
  "is_processed": true,
  "name": "string",
  "previews": [
    {
      "browser": "string",
      "cached": true,
      "category": "Mobile",
      "client_id": "string",
      "display_name": "string",
      "error": {
        "message": "string",
        "type": "bounced"
      },
      "full_thumbnail": "string",
      "os": "string",
      "screenshots": {
        "additionalProperty": "string"
      },
      "status": "Pending",
      "thumbnail": "string"
    }
  ],
  "run_id": 1,
  "total_previews_bounced": 1,
  "total_previews_cached": 1,
  "total_previews_ready": 1,
  "total_previews_requested": 1,
  "total_previews_succeeded": 1,
  "updated_at": 1
}